
Extended Fields - Patch #2294

Error 500 with version 0.2.3 on Redmine 2.5.1

22 May 2014 12:45 - Massimo Rossello

Status: Closed Start date: 22 May 2014

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.2.4   

Redmine version: 2.5.1 External issue:  

Description

Got an error as follows:

Started GET "/projects/wcdma-phy/issues?utf8=%E2%9C%93&set_filter=1&f%5B%5D=status_id&op%5Bstatus_

id%5D=o&f%5B%5D=&c%5B%5D=project&c%5B%5D=subject&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c

%5B%5D=assigned_to&c%5B%5D=category&c%5B%5D=fixed_version&c%5B%5D=relations&c%5B%5D=updated_on&c%5

B%5D=start_date&c%5B%5D=due_date&c%5B%5D=cf_147&group_by=" for 127.0.0.1 at 2014-05-22 09:37:31 +0

200

Processing by IssuesController#index as HTML

  Parameters: {"utf8"=>"✓", "set_filter"=>"1", "f"=>["status_id", ""], "op"=>{"status_id"=>"o"}, "

c"=>["project", "subject", "tracker", "status", "priority", "assigned_to", "category", "fixed_vers

ion", "relations", "updated_on", "start_date", "due_date", "cf_147"], "group_by"=>"", "project_id"

=>"wcdma-phy"}

  Current user: rossellom (id=3)

  Rendered queries/_filters.html.erb (157.5ms)

  Rendered plugins/redmine_smart_issues_sort/app/views/queries/_columns.html.erb (9.8ms)

  Rendered plugins/extended_fields/app/views/issues/_list.html.erb (3400.6ms)

  Rendered issues/index.html.erb within layouts/base (3581.0ms)

Completed 500 Internal Server Error in 4203.9ms

ActionView::Template::Error (undefined method `value' for nil:NilClass):

    48:     <% if Redmine::VERSION::MAJOR < 2 || Redmine::VERSION::MINOR < 3 || defined?(ChiliProj

ect) %>

    49:     <td class="id"><%= link_to issue.to_param, :controller => 'issues', :action => 'show',

 :id => issue %></td>

    50:     <% end %>

    51:     <% inline_columns.each do |column| %><%= content_tag 'td', column_content(column, issu

e), :class => column.respond_to?(:css_classes) ? column.css_classes : column.name %><% end %>

    52:   </tr>

    53:   <% if @query.respond_to?(:block_columns) %>

    54:   <% @query.block_columns.each do |column|

  app/helpers/issues_helper.rb:29:in `block in issue_list'

  app/helpers/issues_helper.rb:25:in `each'

  app/helpers/issues_helper.rb:25:in `issue_list'

  app/views/issues/index.html.erb:63:in `_app_views_issues_index_html_erb__4162087613142288586_565

94360'

  app/controllers/issues_controller.rb:87:in `block (2 levels) in index'

  app/controllers/issues_controller.rb:86:in `index'

 

while debugging, I saw it was due to some custom field did not match value id with custom id, therefore using value as nil. Not sure in

which particular case, because it happened only in some specific cases.

In attach the patch I used to overcome the problem, apparently with no side effects.

Related issues:

Duplicated by Extended Fields - Bug #2314: Internal error on custom field wit... Closed 13 Jun 2014

Duplicated by Extended Fields - Bug #2366: Error in issue list with absent cu... Closed 18 Mar 2015
Associated revisions

Revision 125 - 30 Oct 2016 12:22 - Andriy Lesyuk

Applied patch of Massimo Rossello (#2294, #2314 and #2366)

History

#1 - 15 Dec 2014 07:51 - Andriy Lesyuk

- Status changed from New to Under Verification

- Assignee set to Andriy Lesyuk

- Target version set to 0.2.4

#2 - 09 Oct 2016 21:12 - Andriy Lesyuk

- Duplicates Bug #2314: Internal error on custom field with no value added

#3 - 09 Oct 2016 21:13 - Andriy Lesyuk

- Duplicates deleted (Bug #2314: Internal error on custom field with no value)

#4 - 09 Oct 2016 21:13 - Andriy Lesyuk

- Duplicated by Bug #2314: Internal error on custom field with no value added

#5 - 09 Oct 2016 21:13 - Andriy Lesyuk

- Duplicated by Bug #2366: Error in issue list with absent custom field added

#6 - 30 Oct 2016 12:22 - Andriy Lesyuk

- Status changed from Under Verification to Closed
